package com.steerinfo.baseinfo.meterbasediffrelation.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterBaseDiffRelation implements IBasePO<String> {
    /**
     * 超差关联编号(DIFF_RELATION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="超差关联编号",required=true)
    private String diffRelationNo;

    /**
     * 预报超差编号(DIFF_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报超差编号",required=true)
    private String diffNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=true)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String matterName;

    /**
     * 物料属性编号(MATTER_NATURE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料属性编号",required=true)
    private String matterNatureNo;

    /**
     * 物料属性名称(MATTER_NATURE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="物料属性名称",required=true)
    private String matterNatureName;

    /**
     * 计量属性编号(METER_NATURE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量属性编号",required=true)
    private String meterNatureNo;

    /**
     * 计量属性名称(METER_NATURE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量属性名称",required=true)
    private String meterNatureName;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.diffRelationNo;
    }

    @Override
    public void setId(String diffRelationNo) {
        this.diffRelationNo = diffRelationNo == null ? null : diffRelationNo.trim();
    }

    public String getDiffRelationNo() {
        return diffRelationNo;
    }

    public void setDiffRelationNo(String diffRelationNo) {
        this.diffRelationNo = diffRelationNo == null ? null : diffRelationNo.trim();
    }

    public String getDiffNo() {
        return diffNo;
    }

    public void setDiffNo(String diffNo) {
        this.diffNo = diffNo == null ? null : diffNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getMatterNatureNo() {
        return matterNatureNo;
    }

    public void setMatterNatureNo(String matterNatureNo) {
        this.matterNatureNo = matterNatureNo == null ? null : matterNatureNo.trim();
    }

    public String getMatterNatureName() {
        return matterNatureName;
    }

    public void setMatterNatureName(String matterNatureName) {
        this.matterNatureName = matterNatureName == null ? null : matterNatureName.trim();
    }

    public String getMeterNatureNo() {
        return meterNatureNo;
    }

    public void setMeterNatureNo(String meterNatureNo) {
        this.meterNatureNo = meterNatureNo == null ? null : meterNatureNo.trim();
    }

    public String getMeterNatureName() {
        return meterNatureName;
    }

    public void setMeterNatureName(String meterNatureName) {
        this.meterNatureName = meterNatureName == null ? null : meterNatureName.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", diffRelationNo=").append(diffRelationNo);
        sb.append(", diffNo=").append(diffNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", matterNatureNo=").append(matterNatureNo);
        sb.append(", matterNatureName=").append(matterNatureName);
        sb.append(", meterNatureNo=").append(meterNatureNo);
        sb.append(", meterNatureName=").append(meterNatureName);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}